Debian Bug report logs - #453903
dvipdf crashes on hppa and sparc

version graph

Package: ghostscript; Maintainer for ghostscript is Debian Printing Team <debian-printing@lists.debian.org>; Source for ghostscript is src:ghostscript.

Reported by: Soeren Sonnenburg <bugreports@nn7.de>

Date: Sun, 2 Dec 2007 05:36:02 UTC

Severity: serious

Tags: patch

Merged with 324458, 457547, 457568

Found in versions ghostscript/8.61.dfsg.1~svn8187-2.1, ghostscript/8.61.dfsg.1~svn8187-3

Fixed in versions ghostscript/8.62.dfsg.1-2.1, ghostscript/8.62.dfsg.1-3

Done: Masayuki Hatta (mhatta) <mhatta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#453903; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to Soeren Sonnenburg <bugreports@nn7.de>:
New Bug report received and forwarded. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Soeren Sonnenburg <bugreports@nn7.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dvipdf crashes on hppa and sparc
Date: Sun, 02 Dec 2007 06:32:44 +0100
Package: ghostscript
Version: 8.61.dfsg.1~svn8187-2.1
Severity: serious

as a result it breaks building of other packages, like in this case
cvxopt, on both archs it crashes with that exception:

cd doc  && dvipdf cvxopt.dvi
Unrecoverable error: typecheck in vmreclaim
Operand stack:
    0  --nostringval--  setuserparams  --nostringval--  VMReclaim  0  -2048  -2048  VMReclaim  0
/usr/bin/dvipdf: line 47: 13653 Broken pipe             exec dvips -Ppdf $DVIPSOPTIONS -q -f "$infile"
     13654 Segmentation fault      | $GS_EXECUTABLE $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile="$outfile" $OPTIONS -c .setpdfwrite -

see

http://buildd.debian.org/~jeroen/status/package.php?suite=unstable&p=cvxopt


to reproduce apt-get source cvxopt, build the binary (or stop it immediately
after applying patches and run make cvxopt.pdf in the doc directory)


-- System Information:
Debian Release: lenny/sid
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-rc3-sonne (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghostscript depends on:
ii  debconf [debc 1.5.17                     Debian configuration management sy
ii  debianutils   2.28                       Miscellaneous utilities specific t
ii  defoma        0.11.10-0.1                Debian Font Manager -- automatic f
ii  gsfonts       1:8.11+urwcyr1.0.7~pre41-3 Fonts for the Ghostscript interpre
ii  libc6         2.7-3                      GNU C Library: Shared libraries
ii  libgs8        8.61.dfsg.1~svn8187-2.1    The Ghostscript PostScript/PDF int

Versions of packages ghostscript recommends:
ii  psfontmgr                    0.11.10-0.1 PostScript font manager -- part of

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#453903; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #10 received at 453903@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 453903@bugs.debian.org
Subject: gs crashes in every invocation of my sparc box
Date: Fri, 7 Dec 2007 17:10:30 +0100
This bug happens on my sparc box with every invocation of gs, even
without any arguments at all:

| brl@n:~$ gs
| GPL Ghostscript SVN PRE-RELEASE 8.61 (2007-08-02)
| Copyright (C) 2007 Artifex Software, Inc.  All rights reserved.
| This software comes with NO WARRANTY: see the file PUBLIC for details.
| Unrecoverable error: typecheck in vmreclaim
| Operand stack:
|     0  --nostringval--  setuserparams  --nostringval--  VMReclaim  0  -2048  -2048  VMReclaim  0
| Bus error

The strange thing is that when I recompile with -DDEBUG=1 neighter the gs error
nor the resulting bus error happen.

The bus error is just the "mark_name(names_index(nt, rptr));" in src/igc.c:975
with an rptr having an absurd high ->tas.rsize resulting in access of a 0x60
or similar NULL+offset pointer. (within gc_trace called from gs_gc_reclaim).

When running "gs -Z5" I get an segmentation fault in from fwrite in gc_string_mark
at ./src/igcstr.c:171. No idea if that is a related problem or not. The string
it wants to output starts with
"\016\216.®\006\206&Š\f\214,¬\004\204$€ÎNînÆFæfÌLìlÄDäd>Ÿ\036".
Output is:
| GPL Ghostscript SVN PRE-RELEASE 8.61 (2007-08-02)
| Copyright (C) 2007 Artifex Software, Inc.  All rights reserved.
| This software comes with NO WARRANTY: see the file PUBLIC for details.
| [5]marked 0x7a786[256](Segmentation fault

Is there some -Z output that would be intresting? I tried -Z4689 because that
are debugflags found in igc stuff, but that leads to 48M of output, and as
the bug does not happen, I don't know if its so intresting to post it.

Hochachtungsvoll,
	Bernhard R. Link




Forcibly Merged 453903 457547 457568. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 25 Dec 2007 08:54:36 GMT) Full text and rfc822 format available.

Blocking bugs of 475685 added: 453903, 457547, and 457568 Request was from Daniel Kobras <kobras@debian.org> to control@bugs.debian.org. (Sun, 13 Apr 2008 16:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#453903; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #19 received at 453903@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 453903@bugs.debian.org
Subject: Bus error on sparc
Date: Sat, 19 Apr 2008 00:57:41 +0200
hi,

unfortunately I don't have many news, but what I can say is
- gs works well if you build it without any optimizations (-O0 instead
of -O2)
- Building everything with -O2, except of igc.c and igcstr.c doesn't
help, still a bus error.

What makes me a bit wonder is:
(gdb) where
#0  0xf77f2f9c in ?? () from /usr/lib/libgs.so.8
#1  0xf77f2dac in ?? () from /usr/lib/libgs.so.8
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb)

Cheers,

Bernd
-- 
 Bernd Zeimetz                           Debian GNU/Linux Developer
 GPG Fingerprint: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79




Blocking bugs of 475812 added: 453903, 457547, and 457568 Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Fri, 18 Apr 2008 23:03:03 GMT) Full text and rfc822 format available.

Blocking bugs of 475664 added: 453903, 457547, and 457568 Request was from Arjan Oosting <arjan@debian.org> to control@bugs.debian.org. (Sun, 27 Apr 2008 12:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#453903; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #28 received at 453903@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 453903@bugs.debian.org
Subject: more information about ghostscript crash on sparc
Date: Sun, 27 Apr 2008 21:01:48 +0200
I've looked again at this bug and some cause seems to be
src/igcref.c in refs_compact. If I add a assert((((long)dest)&3)==0);
between r_clear_attrs(&rtemp, l_mark); and ref_assign_inline((ref *) dest, &rtemp);
the bugs seems to go away. Most likely gcc is confused by the wild
casting in there.

Perhaps someone else has the time to isolate the problem further...

Hochachtungsvoll,
	Bernhard R. Link




Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#453903; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #33 received at 453903@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 453903@bugs.debian.org
Subject: Some information
Date: Mon, 5 May 2008 21:12:09 +0100
Hi,

I've tried poking this bug, here are the finding so far. Unoptimized 
binary works fine. Binary with optimizations and additional -ggdb flag 
reliably crashes in one of two places (probably depends on memory 
layout or some other external factors):

Crash #1
========
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xf6e426e0 (LWP 2216)]
0xf787c264 in names_mark_index (nt=<value optimized out>, nidx=<value 
optimized out>) at ./src/iname.c:338
338         if (pnstr->mark)
(gdb) list
333     bool
334     names_mark_index(name_table * nt, name_index_t nidx)
335     {
336         name_string_t *pnstr = names_index_string_inline(nt, 
nidx);
337
338         if (pnstr->mark)
339             return false;
340         pnstr->mark = 1;
341         return true;
(gdb) disass
Dump of assembler code for function names_mark_index:
0xf787c244 <names_mark_index+0>:        and  %o1, 0xff, %g1
0xf787c248 <names_mark_index+4>:        srl  %o1, 8, %o1
0xf787c24c <names_mark_index+8>:        add  %o1, 0x203, %o1
0xf787c250 <names_mark_index+12>:       sll  %o1, 3, %o1
0xf787c254 <names_mark_index+16>:       add  %o0, %o1, %o0
0xf787c258 <names_mark_index+20>:       sll  %g1, 3, %g4
0xf787c25c <names_mark_index+24>:       ld  [ %o0 + 8 ], %g2
0xf787c260 <names_mark_index+28>:       sethi  %hi(0x4000), %g3
0xf787c264 <names_mark_index+32>:       ld  [ %g2 + %g4 ], %g1
0xf787c268 <names_mark_index+36>:       btst  %g1, %g3
0xf787c26c <names_mark_index+40>:       bne  0xf787c280 <names_mark_index+60>
0xf787c270 <names_mark_index+44>:       clr  %o0
0xf787c274 <names_mark_index+48>:       or  %g1, %g3, %g1
0xf787c278 <names_mark_index+52>:       mov  1, %o0
0xf787c27c <names_mark_index+56>:       st  %g1, [ %g2 + %g4 ]
0xf787c280 <names_mark_index+60>:       retl 
0xf787c284 <names_mark_index+64>:       nop 
End of assembler dump.
(gdb) bt
#0  0xf787c264 in names_mark_index (nt=<value optimized out>, nidx=<value optimized out>) at ./src/iname.c:338
#1  0xf7879260 in gc_trace (rp=<value optimized out>, pstate=0xff8154c0, pmstack=<value optimized out>) at ./src/igc.c:974
#2  0xf78799ac in gs_gc_reclaim (pspaces=0x436a8, global=1) at ./src/igc.c:326
#3  0xf78f73f4 in context_reclaim (pspaces=0x436a8, global=1) at ./src/zcontext.c:283
#4  0xf7855d8c in ireclaim (dmem=0x436a4, space=8) at ./src/ireclaim.c:153
#5  0xf7851bfc in interp_reclaim (pi_ctx_p=0x22174, space=8) at ./src/interp.c:427
#6  0xf7848824 in gs_main_finit (minst=0x22120, exit_status=0, code=0) at ./src/imain.c:752
#7  0xf784c500 in gsapi_exit (lib=<value optimized out>) at ./src/iapi.c:261
#8  0x000109b4 in main (argc=1, argv=<value optimized out>) at ./src/dxmainc.c:88

By breaking at the entry point of this function I was able to figure 
out that the crash here is most probably due to a atypically large 
value of nidx (nidx == 46812) passed by the caller:

(gdb) up
#1  0xf7879260 in gc_trace (rp=<value optimized out>, pstate=0xff8154c0, pmstack=<value optimized out>) at ./src/igc.c:974
974                         mark_name(names_index(nt, rptr));
(gdb) list
969                     case t_mixedarray:
970                     case t_shortarray:
971                         nptr = rptr->value.writable_packed;
972                         goto rr;
973                     case t_name:
974                         mark_name(names_index(nt, rptr));
975                       nr:pptr = (ref_packed *) (rptr + 1);
976                         goto tr;
977                     case t_string:
978                         if (gc_string_mark(rptr->value.bytes, r_size(rptr), true, pstate))
(gdb) disass
[...]
0xf7879250 <gc_trace+968>:      lduh  [ %l0 + 2 ], %o1
0xf7879254 <gc_trace+972>:      ld  [ %fp + -28 ], %o0
0xf7879258 <gc_trace+976>:      call  0xf7c98024 <names_mark_index@plt>
0xf787925c <gc_trace+980>:      mov  %l4, %l0
0xf7879260 <gc_trace+984>:      b  0xf787908c <gc_trace+516>
0xf7879264 <gc_trace+988>:      ld  [ %l1 + 4 ], %g1
0xf7879268 <gc_trace+992>:      b  0xf7879088 <gc_trace+512>
0xf787926c <gc_trace+996>:      add  %l0, 8, %l0
[...]

nidx is passed in %o1, which comes from the memory location %l0 + 2. 
After working out all the defines, it turns out the %l0 contains rptr 
(or so I think).

Crash #2
========
Program received signal SIGBUS, Bus error.
[Switching to Thread 0xf6dce6e0 (LWP 2220)]
gc_trace (rp=<value optimized out>, pstate=0xffad94c0, pmstack=<value optimized out>) at ./src/igc.c:920
920                         nptr = rptr->value.pfile;
(gdb) list
915                 }
916                 sp->ptr = rptr + 1;
917                 switch (r_type(rptr)) {
918                         /* Struct cases */
919                     case t_file:
920                         nptr = rptr->value.pfile;
921                       rs:sp[1].is_refs = false;
922                         sp[1].index = 0;
923                         if (sp == stop) {
924                             ptp = ptr_struct_type;
(gdb) print $pc
$1 = (void (*)()) 0xf7805144 <gc_trace+700>
(gdb) disass
[...]
0xf780513c <gc_trace+692>:      jmp  %g2 + %g3
0xf7805140 <gc_trace+696>:      nop 
0xf7805144 <gc_trace+700>:      ld  [ %l0 + 4 ], %l3
0xf7805148 <gc_trace+704>:      clr  [ %l1 + 0x14 ]
0xf780514c <gc_trace+708>:      clr  [ %l2 + 4 ]
0xf7805150 <gc_trace+712>:      cmp  %i4, %l1
0xf7805154 <gc_trace+716>:      be  0xf780531c <gc_trace+1172>
0xf7805158 <gc_trace+720>:      mov  %l2, %i2
0xf780515c <gc_trace+724>:      cmp  %l3, 0
0xf7805160 <gc_trace+728>:      be  0xf7805184 <gc_trace+764>
0xf7805164 <gc_trace+732>:      st  %l3, [ %fp + -24 ]
0xf7805168 <gc_trace+736>:      ld  [ %l3 + -16 ], %g2
0xf780516c <gc_trace+740>:      sethi  %hi(0x7ffffc00), %g4
0xf7805170 <gc_trace+744>:      or  %g4, 0x3ff, %g4     ! 0x7fffffff
0xf7805174 <gc_trace+748>:      and  %g2, %g4, %g1
0xf7805178 <gc_trace+752>:      cmp  %g1, %g4
0xf780517c <gc_trace+756>:      be  0xf78051b0 <gc_trace+808>
0xf7805180 <gc_trace+760>:      add  %l3, -16, %g3
0xf7805184 <gc_trace+764>:      b  0xf7805088 <gc_trace+512>
0xf7805188 <gc_trace+768>:      mov  %l4, %l0
[...]

I believe that %l0 contains rptr and the third line of this assembly 
dump tries to load rptr->value.pfile into %l3. So, it seems like rptr, 
which is passed around in %l0 gets corrupted somehow. Next step is to 
try and figure out where this corruption happens.

Cheers. 
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#453903; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #38 received at 453903@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: 453903@debian.org
Cc: jurij@wooyd.org, bernd@bzed.de
Subject: ghostscript BusError cause
Date: Sun, 11 May 2008 11:06:19 +0200
[Message part 1 (text/plain, inline)]
I've identified one cause of BusError on startup. (I'm not entirely sure
it is the only one, but it definitely is the cause for the easily
reproduceable one, and while I think I saw one with this worked around
in the early tests, I cannot reproduce the other, so there might either
be another issue left or I once forget to save or recompile).

The cause is corruption at the following piece of code in igcref.c:715:

715:            ref rtemp;
716:
717:            if_debug2('8', "  [8]ref 0x%lx copied to 0x%lx\n",
718:                      (ulong) src, (ulong) dest);
719:            /* We can't just use ref_assign_inline, */
720:            /* because the source and destination */
721:            /* might overlap! */
722:            ref_assign_inline(&rtemp, (ref *) src);
723:            r_clear_attrs(&rtemp, l_mark);
724:            ref_assign_inline((ref *) dest, &rtemp);

As far as I understand, the problem is that gcc knows that two (ref*)
pointers cannot possibly overlap, so it optimizes away the temporary
variable (at least partially), causing corruption of the packed array.
(Which then again causes bus errors in other code like the garbage collection).

Here is the assember generated by gcc with -O2:
        .loc 1 722 0
        ld      [%g3+4], %g2
        .loc 1 724 0
        st      %g2, [%i1+4]
        sth     %g1, [%i1]
        .loc 1 722 0
        st      %g2, [%fp-20]
        lduh    [%g3+2], %g1
        .loc 1 725 0
        add     %g3, 8, %g3
        .loc 1 724 0
        sth     %g1, [%i1+2]

It first does part of the move from src to register, then from register to dest,
only then copying another part of src to register, clearing the bit and storing
that part to dest. As the clearing is done in the part with the lower address,
it even copies the second part first, thus if compressing an array quite likely
overwriting a part it just reads after that.

The attached patch fixes it for me, and I think it also is the correct solution
that will survive more inteligent compilers.

Hochachtungsvoll,
	Bernhard R. Link
[gsfix.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#453903; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #43 received at 453903@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: "Bernhard R. Link" <brlink@debian.org>, 453903@bugs.debian.org
Cc: 453903@debian.org, jurij@wooyd.org, bernd@bzed.de
Subject: Re: Bug#453903: ghostscript BusError cause
Date: Mon, 12 May 2008 15:16:31 +0200
[Message part 1 (text/plain, inline)]
On Sun, May 11, 2008 at 09:06:19AM +0000, Bernhard R. Link wrote:
> I've identified one cause of BusError on startup. (I'm not entirely sure
> it is the only one, but it definitely is the cause for the easily
> reproduceable one, and while I think I saw one with this worked around
> in the early tests, I cannot reproduce the other, so there might either
> be another issue left or I once forget to save or recompile).
> 
> The cause is corruption at the following piece of code in igcref.c:715:
> 
> 715:            ref rtemp;
> 716:
> 717:            if_debug2('8', "  [8]ref 0x%lx copied to 0x%lx\n",
> 718:                      (ulong) src, (ulong) dest);
> 719:            /* We can't just use ref_assign_inline, */
> 720:            /* because the source and destination */
> 721:            /* might overlap! */
> 722:            ref_assign_inline(&rtemp, (ref *) src);
> 723:            r_clear_attrs(&rtemp, l_mark);
> 724:            ref_assign_inline((ref *) dest, &rtemp);
> 
> As far as I understand, the problem is that gcc knows that two (ref*)
> pointers cannot possibly overlap, so it optimizes away the temporary
> variable (at least partially), causing corruption of the packed array.
> (Which then again causes bus errors in other code like the garbage collection).
> 
> Here is the assember generated by gcc with -O2:
>         .loc 1 722 0
>         ld      [%g3+4], %g2
>         .loc 1 724 0
>         st      %g2, [%i1+4]
>         sth     %g1, [%i1]
>         .loc 1 722 0
>         st      %g2, [%fp-20]
>         lduh    [%g3+2], %g1
>         .loc 1 725 0
>         add     %g3, 8, %g3
>         .loc 1 724 0
>         sth     %g1, [%i1+2]
> 
> It first does part of the move from src to register, then from register to dest,
> only then copying another part of src to register, clearing the bit and storing
> that part to dest. As the clearing is done in the part with the lower address,
> it even copies the second part first, thus if compressing an array quite likely
> overwriting a part it just reads after that.
> 
> The attached patch fixes it for me, and I think it also is the correct solution
> that will survive more inteligent compilers.

  If that's really the problem, and that you believe there are other in
the code, then the proper solution with GCC is to build gs with
-fno-strict-aliasing.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#453903; Package ghostscript. Full text and rfc822 format available.

Acknowledgement sent to madcoder@debian.org:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #48 received at 453903@bugs.debian.org (full text, mbox):

From: madcoder@debian.org
To: 453903@bugs.debian.org
Subject: ghostscript: diff for NMU version 8.62.dfsg.1-2.1
Date: Wed, 14 May 2008 15:28:15 +0200
tags 453903 + patch
thanks

Hi,

The following is the diff for my ghostscript 8.62.dfsg.1-2.1 NMU.

diff -u ghostscript-8.62.dfsg.1/debian/changelog ghostscript-8.62.dfsg.1/debian/changelog
--- ghostscript-8.62.dfsg.1/debian/changelog
+++ ghostscript-8.62.dfsg.1/debian/changelog
@@ -1,3 +1,12 @@
+ghostscript (8.62.dfsg.1-2.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Add patches/31_fix-gc-sigbus.dpatch to avoid sigbus/segfaults on sparc and
+    hppa (and probably errors on other architectures as well).
+    Closes: #453903.
+
+ -- Pierre Habouzit <madcoder@debian.org>  Wed, 14 May 2008 15:25:03 +0200
+
 ghostscript (8.62.dfsg.1-2) unstable; urgency=low
 
   * ghostscript: Tighten up versioned dependency on libgs8 
diff -u ghostscript-8.62.dfsg.1/debian/patches/00list ghostscript-8.62.dfsg.1/debian/patches/00list
--- ghostscript-8.62.dfsg.1/debian/patches/00list
+++ ghostscript-8.62.dfsg.1/debian/patches/00list
@@ -17 +17 @@
-
+31_fix-gc-sigbus
only in patch2:
unchanged:
--- ghostscript-8.62.dfsg.1.orig/debian/patches/31_fix-gc-sigbus.dpatch
+++ ghostscript-8.62.dfsg.1/debian/patches/31_fix-gc-sigbus.dpatch
@@ -0,0 +1,27 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 31_fix-gc-sigbus.dpatch by Pierre Habouzit <madcoder@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad ghostscript-8.62.dfsg.1~/src/store.h ghostscript-8.62.dfsg.1/src/store.h
+--- ghostscript-8.62.dfsg.1~/src/store.h	2007-06-06 00:23:38.000000000 +0200
++++ ghostscript-8.62.dfsg.1/src/store.h	2008-05-14 15:24:07.000000000 +0200
+@@ -65,10 +65,14 @@
+  * Assigning the components individually is fastest on Turbo C,
+  * and on Watcom C when one or both of the addresses are
+  * already known or in a register.
++ *
++ * Though, it sends wrong signals to the compiler that believes it's okay-ish
++ * to update the structure in two calls, and risks very wrong reordering. This
++ * _MUST_ be done in one call, and trust the compiler to do the proper thing,
++ * if not too bad. And we're using GCC anyways on Debian.
+  */
+ #define ref_assign_inline(pto,pfrom)\
+-	((pto)->value = (pfrom)->value,\
+-	 (pto)->tas = (pfrom)->tas)
++	(*(pto) = *(pfrom))
+ #ifdef __TURBOC__
+ 	/*
+ 	 * Move the data in two 32-bit chunks, because




Tags added: patch Request was from madcoder@debian.org to control@bugs.debian.org. (Wed, 14 May 2008 13:30:05 GMT) Full text and rfc822 format available.

Reply sent to Pierre Habouzit <madcoder@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Soeren Sonnenburg <bugreports@nn7.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 453903-close@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: 453903-close@bugs.debian.org
Subject: Bug#453903: fixed in ghostscript 8.62.dfsg.1-2.1
Date: Wed, 14 May 2008 14:47:06 +0000
Source: ghostscript
Source-Version: 8.62.dfsg.1-2.1

We believe that the bug you reported is fixed in the latest version of
ghostscript, which is due to be installed in the Debian FTP archive:

ghostscript-doc_8.62.dfsg.1-2.1_all.deb
  to pool/main/g/ghostscript/ghostscript-doc_8.62.dfsg.1-2.1_all.deb
ghostscript-x_8.62.dfsg.1-2.1_amd64.deb
  to pool/main/g/ghostscript/ghostscript-x_8.62.dfsg.1-2.1_amd64.deb
ghostscript_8.62.dfsg.1-2.1.diff.gz
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-2.1.diff.gz
ghostscript_8.62.dfsg.1-2.1.dsc
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-2.1.dsc
ghostscript_8.62.dfsg.1-2.1_amd64.deb
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-2.1_amd64.deb
gs-aladdin_8.62.dfsg.1-2.1_all.deb
  to pool/main/g/ghostscript/gs-aladdin_8.62.dfsg.1-2.1_all.deb
gs-common_8.62.dfsg.1-2.1_all.deb
  to pool/main/g/ghostscript/gs-common_8.62.dfsg.1-2.1_all.deb
gs-esp_8.62.dfsg.1-2.1_all.deb
  to pool/main/g/ghostscript/gs-esp_8.62.dfsg.1-2.1_all.deb
gs-gpl_8.62.dfsg.1-2.1_all.deb
  to pool/main/g/ghostscript/gs-gpl_8.62.dfsg.1-2.1_all.deb
gs_8.62.dfsg.1-2.1_all.deb
  to pool/main/g/ghostscript/gs_8.62.dfsg.1-2.1_all.deb
libgs-dev_8.62.dfsg.1-2.1_amd64.deb
  to pool/main/g/ghostscript/libgs-dev_8.62.dfsg.1-2.1_amd64.deb
libgs8_8.62.dfsg.1-2.1_amd64.deb
  to pool/main/g/ghostscript/libgs8_8.62.dfsg.1-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Habouzit <madcoder@debian.org> (supplier of updated ghostscript package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 14 May 2008 15:25:03 +0200
Source: ghostscript
Binary: ghostscript gs gs-esp gs-gpl gs-aladdin gs-common ghostscript-x ghostscript-doc libgs8 libgs-dev
Architecture: source all amd64
Version: 8.62.dfsg.1-2.1
Distribution: unstable
Urgency: high
Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
Changed-By: Pierre Habouzit <madcoder@debian.org>
Description: 
 ghostscript - The GPL Ghostscript PostScript/PDF interpreter
 ghostscript-doc - The GPL Ghostscript PostScript/PDF interpreter - Documentation
 ghostscript-x - The GPL Ghostscript PostScript/PDF interpreter - X Display suppor
 gs         - Transitional package
 gs-aladdin - Transitional package
 gs-common  - Transitional package
 gs-esp     - Transitional package
 gs-gpl     - Transitional package
 libgs-dev  - The Ghostscript PostScript Library - Development Files
 libgs8     - The Ghostscript PostScript/PDF interpreter Library
Closes: 453903
Changes: 
 ghostscript (8.62.dfsg.1-2.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Add patches/31_fix-gc-sigbus.dpatch to avoid sigbus/segfaults on sparc and
     hppa (and probably errors on other architectures as well).
     Closes: #453903.
Checksums-Sha1: 
 dab27c06e287dda05ad1afe2101e011ceed1d175 1500 ghostscript_8.62.dfsg.1-2.1.dsc
 da94134909a8fc634228453315c70855730a2422 93542 ghostscript_8.62.dfsg.1-2.1.diff.gz
 486288cd1b8d041773f19f1c4d09ece28c9fdd68 28008 gs_8.62.dfsg.1-2.1_all.deb
 9c93ab0e64726636af7a076857a6617cfa41e1b1 28008 gs-esp_8.62.dfsg.1-2.1_all.deb
 76a91161644f5a883f835dab384ef78f954ea74b 28010 gs-gpl_8.62.dfsg.1-2.1_all.deb
 b67a22229bd35f55d0dd2608fc5506a053140cbd 28016 gs-aladdin_8.62.dfsg.1-2.1_all.deb
 88487d45c23f9068213556454223fbe470ffd060 28020 gs-common_8.62.dfsg.1-2.1_all.deb
 ea6cbf536bc6f39208ffe00940090029844ec412 2773110 ghostscript-doc_8.62.dfsg.1-2.1_all.deb
 2474520b8797279fef24ad81c5e145470a8c934f 766800 ghostscript_8.62.dfsg.1-2.1_amd64.deb
 9ea7159e28a0b9f5c20a4996263d2cf5b5797c64 61594 ghostscript-x_8.62.dfsg.1-2.1_amd64.deb
 0b9df8f49134a30ef4dd3d8661429b9190d8cb07 2322956 libgs8_8.62.dfsg.1-2.1_amd64.deb
 8e52ce273698b79e12ba886f002075ddf0f5fc09 34738 libgs-dev_8.62.dfsg.1-2.1_amd64.deb
Checksums-Sha256: 
 f4085e31c5488bc1dfc31938f6902521faeb7b30d6d725b3bae557c90df98241 1500 ghostscript_8.62.dfsg.1-2.1.dsc
 776d7d708c2d1642c827079e4a7e58e973d183ef66e8ff8218e7c37df85c5bc8 93542 ghostscript_8.62.dfsg.1-2.1.diff.gz
 03fa512b9010c98a2d67551297f8b88ac6c3f54a75621201dad0e0cd4476d3da 28008 gs_8.62.dfsg.1-2.1_all.deb
 3899218b2abfb253d529e8c81c897a1b29a1485bc61464d70914feca6cb94cda 28008 gs-esp_8.62.dfsg.1-2.1_all.deb
 619744fddd7bcac545a2d53acb440da42a3c0e82d3af13d46da83efc5dc7e9fc 28010 gs-gpl_8.62.dfsg.1-2.1_all.deb
 f2d2a8b7639bfa4db263a36afd8acb6354f98b97923ef45c54bc2077c7b35448 28016 gs-aladdin_8.62.dfsg.1-2.1_all.deb
 bf53fb28dc0d2097847253f3c4793aa9187067d8faecc5fe4fa94af9e32cd885 28020 gs-common_8.62.dfsg.1-2.1_all.deb
 dfac816e824e4a02eeff9de74ed1e0b7c6114616abbd5fbe4607b623f6d44dfe 2773110 ghostscript-doc_8.62.dfsg.1-2.1_all.deb
 48818cea6f269ebd7172ed559fb325d33b8a61b70145380513349e9aac6660df 766800 ghostscript_8.62.dfsg.1-2.1_amd64.deb
 170a5fc6f30532be7a686b324395b4e9da4b5d44a37b2344c7586df4240400df 61594 ghostscript-x_8.62.dfsg.1-2.1_amd64.deb
 f0fbc715f7d9be488c3f1735f73271404bee6f8c19d651fc68bef9c786a5dfd4 2322956 libgs8_8.62.dfsg.1-2.1_amd64.deb
 af3146bb477c59c231a0230e25202a2b84176b84ca7db94a6c61cc592f24940c 34738 libgs-dev_8.62.dfsg.1-2.1_amd64.deb
Files: 
 ab024d876f112b3427e7f45ca7bd9952 1500 text optional ghostscript_8.62.dfsg.1-2.1.dsc
 a2e286c8211560c575d3993aaf3e1eae 93542 text optional ghostscript_8.62.dfsg.1-2.1.diff.gz
 0204d691b71ee2e284308f5fd8c548cf 28008 text extra gs_8.62.dfsg.1-2.1_all.deb
 8e3e3e8b6da070dbdeff75a9b8bb94b5 28008 text extra gs-esp_8.62.dfsg.1-2.1_all.deb
 629f17feaddf41ec6a3ee87753c88cd6 28010 text extra gs-gpl_8.62.dfsg.1-2.1_all.deb
 2111f4b65d528fe454f8fd3b57c543fb 28016 text extra gs-aladdin_8.62.dfsg.1-2.1_all.deb
 50eac408ce83dc9c02b1349d53560463 28020 text extra gs-common_8.62.dfsg.1-2.1_all.deb
 62953f5e5cef27e04c41b60af8c61fb7 2773110 doc optional ghostscript-doc_8.62.dfsg.1-2.1_all.deb
 6f74b64a4c6fc08bf37a78a169ae07bf 766800 text optional ghostscript_8.62.dfsg.1-2.1_amd64.deb
 11bf1b53ab28b24aba2fcca7c64f9f8f 61594 text optional ghostscript-x_8.62.dfsg.1-2.1_amd64.deb
 269233538d157870f627e32f9b5a4c58 2322956 libs optional libgs8_8.62.dfsg.1-2.1_amd64.deb
 f6ef66536544a930a2956d3d2e1b287d 34738 libdevel optional libgs-dev_8.62.dfsg.1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIKvWjvGr7W6HudhwRAj6OAJ9Gg8jxxWsTMjKf4HWmnKVwtBNdTACfWz4N
ABENVRBErw90LKOh1FG5KlM=
=U2uh
-----END PGP SIGNATURE-----





Reply sent to Pierre Habouzit <madcoder@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Pierre Habouzit <madcoder@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Palfrader <weasel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Masayuki Hatta (mhatta) <mhatta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Soeren Sonnenburg <bugreports@nn7.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #70 received at 453903-close@bugs.debian.org (full text, mbox):

From: Masayuki Hatta (mhatta) <mhatta@debian.org>
To: 453903-close@bugs.debian.org
Subject: Bug#453903: fixed in ghostscript 8.62.dfsg.1-3
Date: Sun, 20 Jul 2008 01:17:11 +0000
Source: ghostscript
Source-Version: 8.62.dfsg.1-3

We believe that the bug you reported is fixed in the latest version of
ghostscript, which is due to be installed in the Debian FTP archive:

ghostscript-doc_8.62.dfsg.1-3_all.deb
  to pool/main/g/ghostscript/ghostscript-doc_8.62.dfsg.1-3_all.deb
ghostscript-x_8.62.dfsg.1-3_i386.deb
  to pool/main/g/ghostscript/ghostscript-x_8.62.dfsg.1-3_i386.deb
ghostscript_8.62.dfsg.1-3.diff.gz
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-3.diff.gz
ghostscript_8.62.dfsg.1-3.dsc
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-3.dsc
ghostscript_8.62.dfsg.1-3_i386.deb
  to pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-3_i386.deb
gs-aladdin_8.62.dfsg.1-3_all.deb
  to pool/main/g/ghostscript/gs-aladdin_8.62.dfsg.1-3_all.deb
gs-common_8.62.dfsg.1-3_all.deb
  to pool/main/g/ghostscript/gs-common_8.62.dfsg.1-3_all.deb
gs-esp_8.62.dfsg.1-3_all.deb
  to pool/main/g/ghostscript/gs-esp_8.62.dfsg.1-3_all.deb
gs-gpl_8.62.dfsg.1-3_all.deb
  to pool/main/g/ghostscript/gs-gpl_8.62.dfsg.1-3_all.deb
gs_8.62.dfsg.1-3_all.deb
  to pool/main/g/ghostscript/gs_8.62.dfsg.1-3_all.deb
libgs-dev_8.62.dfsg.1-3_i386.deb
  to pool/main/g/ghostscript/libgs-dev_8.62.dfsg.1-3_i386.deb
libgs8_8.62.dfsg.1-3_i386.deb
  to pool/main/g/ghostscript/libgs8_8.62.dfsg.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Masayuki Hatta (mhatta) <mhatta@debian.org> (supplier of updated ghostscript package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Jul 2008 08:59:17 +0900
Source: ghostscript
Binary: ghostscript gs gs-esp gs-gpl gs-aladdin gs-common ghostscript-x ghostscript-doc libgs8 libgs-dev
Architecture: source all i386
Version: 8.62.dfsg.1-3
Distribution: unstable
Urgency: low
Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
Changed-By: Masayuki Hatta (mhatta) <mhatta@debian.org>
Description: 
 ghostscript - The GPL Ghostscript PostScript/PDF interpreter
 ghostscript-doc - The GPL Ghostscript PostScript/PDF interpreter - Documentation
 ghostscript-x - The GPL Ghostscript PostScript/PDF interpreter - X Display suppor
 gs         - Transitional package
 gs-aladdin - Transitional package
 gs-common  - Transitional package
 gs-esp     - Transitional package
 gs-gpl     - Transitional package
 libgs-dev  - The Ghostscript PostScript Library - Development Files
 libgs8     - The Ghostscript PostScript/PDF interpreter Library
Closes: 453903 484712
Changes: 
 ghostscript (8.62.dfsg.1-3) unstable; urgency=low
 .
   * Acknowledged NMU, thanks madcoder - closes: #453903
   * Bumped to Standards-Version: 3.8.0.
   * Fixed fakeroot build error, thanks Bob Lindell - closes: #484712
   * ghostscript-doc.doc-base: Made file mask *.htm* instead of *.html.
Checksums-Sha1: 
 262b9a933801b65d9bb8c3ceb428fa118a143dc0 1500 ghostscript_8.62.dfsg.1-3.dsc
 a7e2c0d3d13bfa40e929d3a6579b85b12caa82eb 93656 ghostscript_8.62.dfsg.1-3.diff.gz
 2a7af2c9c821bba0e9d29264807e9b709f39e165 28070 gs_8.62.dfsg.1-3_all.deb
 1586be2ac143725b436cd6ededf3641f4da00657 28070 gs-esp_8.62.dfsg.1-3_all.deb
 dc4c4ed080b6d723f057657c0731cf744c0cfb53 28076 gs-gpl_8.62.dfsg.1-3_all.deb
 d641242e21cbcbb01ef3a5f03a196ab1083e90e8 28080 gs-aladdin_8.62.dfsg.1-3_all.deb
 c151e9f59466032b43faeab78c86ef3758ad7aef 28082 gs-common_8.62.dfsg.1-3_all.deb
 36b65251d91b098541961e025b09373191ee6756 2789424 ghostscript-doc_8.62.dfsg.1-3_all.deb
 8f7027395a54069cd6f22f8a936865c690bf6faf 794846 ghostscript_8.62.dfsg.1-3_i386.deb
 15e4c14e2af2a3c98a30d82715a225b4371d67db 60930 ghostscript-x_8.62.dfsg.1-3_i386.deb
 db12882e80b9190fad3b3af937fe526694dd0568 2219480 libgs8_8.62.dfsg.1-3_i386.deb
 45333203e2b6c436fbf78cc4b1130527d5d0012b 34818 libgs-dev_8.62.dfsg.1-3_i386.deb
Checksums-Sha256: 
 c680bd5eb7ab482d7b5511dd0d6cf65155d7d4786f68ab00c526199fa0cc97be 1500 ghostscript_8.62.dfsg.1-3.dsc
 2485078415fb01b6acf57d26ab9b4e774e6f668157c56ddb73400a327967b1eb 93656 ghostscript_8.62.dfsg.1-3.diff.gz
 79c01f0df5733a0d1613d42ea7a0716f3698cf82baacf9fb32da95db3cb89d96 28070 gs_8.62.dfsg.1-3_all.deb
 23daefecd852badaa9d34f975090dee5dccebe42d3ccfcfcf95a473c3abea415 28070 gs-esp_8.62.dfsg.1-3_all.deb
 dd3ead58e65e7bbe96f6c87c03337a5be2980bca1cc335d7e73475973a41630f 28076 gs-gpl_8.62.dfsg.1-3_all.deb
 e1e75981224ed7f3d158339f2852bf64ae4d7d0bd4738bd3382e964e8ba228d5 28080 gs-aladdin_8.62.dfsg.1-3_all.deb
 12eef944b81b53bf8df530ddeda57e2423284b632e3c83dfc05c356af63f38e4 28082 gs-common_8.62.dfsg.1-3_all.deb
 2a023eea695fc86d854939181affa7038d1982ce2a180a5a1b8a1f4860b11fcd 2789424 ghostscript-doc_8.62.dfsg.1-3_all.deb
 58586d02b4f20a56b217dbf96169422a775d694e3d69c9eefd734064ac371a41 794846 ghostscript_8.62.dfsg.1-3_i386.deb
 2821780dab30a91b4d5cb4ecf16361bcd65dcb0732f3be53189d5d8b51113fec 60930 ghostscript-x_8.62.dfsg.1-3_i386.deb
 1fbb7ed9176f751b4e86954f2d3b41122028aaaee5545e012ac94eec0c40a6ae 2219480 libgs8_8.62.dfsg.1-3_i386.deb
 f8fc8effb96b2b2f7ea5ba2ec27e18bde67c856564a84842546e3dce9b425c9e 34818 libgs-dev_8.62.dfsg.1-3_i386.deb
Files: 
 b5e80b6538a538573325b80b90d28a23 1500 text optional ghostscript_8.62.dfsg.1-3.dsc
 d607f37cd3ee49f42a680fd316b9eede 93656 text optional ghostscript_8.62.dfsg.1-3.diff.gz
 65a371af5a2ae54effa2d90432ddbf3f 28070 text extra gs_8.62.dfsg.1-3_all.deb
 b4040c1157ab57486399a93c3393f0c9 28070 text extra gs-esp_8.62.dfsg.1-3_all.deb
 00177494096d0cf6137acaed71112306 28076 text extra gs-gpl_8.62.dfsg.1-3_all.deb
 b09e6f0996c4e8a52b4592e019f857a5 28080 text extra gs-aladdin_8.62.dfsg.1-3_all.deb
 6b32acab7a666778c29fbb2f0d0dcbbe 28082 text extra gs-common_8.62.dfsg.1-3_all.deb
 658c58ab337ad8122073c2324efd2485 2789424 doc optional ghostscript-doc_8.62.dfsg.1-3_all.deb
 503daf2bf9d54f3ad1755dcfc99c13a3 794846 text optional ghostscript_8.62.dfsg.1-3_i386.deb
 6ec316bef67a34046db17002249856e6 60930 text optional ghostscript-x_8.62.dfsg.1-3_i386.deb
 a4cd42e2f36b3232b8807a5833e451fc 2219480 libs optional libgs8_8.62.dfsg.1-3_i386.deb
 27a90cfcd83b7c6f0e3cfb7f3e52c889 34818 libdevel optional libgs-dev_8.62.dfsg.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiCjFwACgkQy2+jQOcHWlT4DACgw9USqldoBfjhFSE9A32ZCaOY
Gy4Ani1lh0Uuo4Z8YAlozQYx/z9Utx3X
=+z1G
-----END PGP SIGNATURE-----





Reply sent to Masayuki Hatta (mhatta) <mhatta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Masayuki Hatta (mhatta) <mhatta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Palfrader <weasel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 07:28:44 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 23 Jan 2011 02:42:07 GMT) Full text and rfc822 format available.

Forcibly Merged 324458 453903 457547 457568. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 23 Jan 2011 02:42:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Feb 2011 07:31:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:27:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.